Package org.postgresql.ssl

# Class DbKeyStoreSocketFactory

java.lang.Object
javax.net.SocketFactory
javax.net.ssl.SSLSocketFactory
org.postgresql.ssl.WrappedFactory
org.postgresql.ssl.DbKeyStoreSocketFactory

public abstract class DbKeyStoreSocketFactory extends WrappedFactory

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DbKeyStoreSocketFactory.DbKeyStoreSocketException`

## Field Summary

### Fields inherited from class org.postgresql.ssl.WrappedFactory

`factory`

## Constructor Summary

Constructors
Constructor
Description
`DbKeyStoreSocketFactory()`

## Method Summary

Modifier and Type
Method
Description
`abstract char[]`
`getKeyStorePassword()`
`abstract InputStream`
`getKeyStoreStream()`

### Methods inherited from class org.postgresql.ssl.WrappedFactory

`createSocket, createSocket, createSocket, createSocket, createSocket, getDefaultCipherSuites, getSupportedCipherSuites`

### Methods inherited from class javax.net.ssl.SSLSocketFactory

`createSocket, getDefault`

### Methods inherited from class javax.net.SocketFactory

`createSocket`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DbKeyStoreSocketFactory

public DbKeyStoreSocketFactory() throws DbKeyStoreSocketFactory.DbKeyStoreSocketException

Throws:
  `DbKeyStoreSocketFactory.DbKeyStoreSocketException`

## Method Details

### getKeyStorePassword

public abstract char[] getKeyStorePassword()

### getKeyStoreStream

public abstract InputStream getKeyStoreStream()